Bug 61146 - rawhide's openssh-3.1p1-2 on sparc64
rawhide's openssh-3.1p1-2 on sparc64
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
6.2
sparc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-14 06:30 EST by Alec Voropay
Modified: 2007-04-18 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 07:11:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alec Voropay 2002-03-14 06:30:25 EST
Description of Problem:
The "openssh-3.1p1-2" from rawhide has an "crc" error on Sparc64
(platform spacific !) It is impossible to connect to this sshd
from any old OpenSSH or from old standart SSH.

It is possible to connect to this sshd from
NEW openssh-3.1p1-2 client ONLY.

There is no such error on Intel i386 platform.

This openssh-3.1p1-2 client (sparc) goes fine to ANY servers.

Version-Release number of selected component (if applicable):
RedHat 6.2 Sparc (all updates installed)
Rawhide's openssh-3.1p1-2
Rawhide's zlib-1.1.3-25.7
openssl-0.9.5a-7.6.x

How Reproducible:
Build openssh-3.1p1-2 on Sparc64 (Ultra) platform
and try to connect to this host from any old
OpenSSH or SSH.


Steps to Reproduce:
1. Build OpenSSH :
$ sparc32 rpm -ba openssh.spec
2. install it and run sshd
3. try to connect to this host from any old OpenSSH and SSH

Actual Results:
connect fom SSH 1.2.22
=====sshd log ================
Mar 14 16:28:33 sun sshd[866]: debug1: Forked child 920.
Mar 14 16:28:33 sun sshd[920]: Connection from 172.17.13.240 port 1009
Mar 14 16:28:33 sun sshd[920]: debug1: Client protocol version 1.5; client softw
are version 1.2.22
Mar 14 16:28:33 sun sshd[920]: debug1: match: 1.2.22 pat 1.2.18*,1.2.19*,1.2.20*
,1.2.21*,1.2.22*
Mar 14 16:28:33 sun sshd[920]: debug1: Local version string SSH-1.99-OpenSSH_3.1
p1
Mar 14 16:28:33 sun sshd[920]: debug1: Sent 768 bit server key and 1024 bit host
 key.
Mar 14 16:28:33 sun sshd[920]: debug1: Encryption type: 3des
Mar 14 16:28:33 sun sshd[920]: debug1: Received session key; encryption turned o
n.
Mar 14 16:28:33 sun sshd[920]: debug1: Installing crc compensation attack detect
or.
Mar 14 16:28:33 sun sshd[920]: Disconnecting: Corrupted check bytes on input.
Mar 14 16:28:33 sun sshd[920]: debug1: Calling cleanup 0x321a0(0x0)
Mar 14 17:15:25 sun sshd[866]: Generating new 768 bit RSA key.
Mar 14 17:15:28 sun sshd[866]: RSA key generation complete.
==============================
[alec@intel ~]$ slogin -v alec@172.17.13.78
SSH Version 1.2.22 [i386-unknown-freebsd2.2.5], protocol version 1.5.
Standard version.  Does not use RSAREF.
intel: Reading configuration data /usr/local/etc/ssh_config
intel: ssh_connect: getuid 0 geteuid 0 anon 0
intel: Connecting to 172.17.13.78 port 22.
intel: Allocated local port 1007.
intel: Connection established.
intel: Remote protocol version 1.99, remote software version OpenSSH_3.1p1
intel: Waiting for server public key.
intel: Received server public key (768 bits) and host key (1024 bits).
intel: Host '172.17.13.78' is known and matches the host key.
intel: Initializing random; seed file /root/.ssh/random_seed
intel: IDEA not supported, using 3des instead.
intel: Encryption type: 3des
intel: Sent encrypted session key.
Local: Corrupted check bytes on input.
[alec@intel ~]$ 
================================

Expected Results:


Additional Information:
Previous openssh-3.0.2p1-2  was fine on my Sparc.
There is no such error on Intel platform...
Comment 1 Alec Voropay 2002-03-15 03:07:43 EST
It seems, the problem doesn't depend on platform (i386 vs sparc) but RedHat 
version : RH 6.2 vs RH 7.2 . See bug 60924 .

Note You need to log in before you can comment on or make changes to this bug.